class_name PouvoirSpectre
extends PouvoirBase
## Pouvoir qui rend la balle intangible quand elle est renvoyée


func declencher_pouvoir(arbre_scene: SceneTree) -> void:
	print("Les balles deviennent spectrales")
	for balle in arbre_scene.get_nodes_in_group("groupe_des_balles"):
		assert(balle is Balle, "Le groupe_des_balles ne doit contenir que des Balle !")
		BalleSpectrale.transformer(balle)


func couleur_principale() -> Color:
	return Color.PURPLE
